org.apache.fop.layoutmgr.inline

## Class HyphContext

- java.lang.Object
- - org.apache.fop.layoutmgr.inline.HyphContext

    public class HyphContext
    extends Object

This class is used to pass information to the getNextBreakPoss() method concerning hyphenation. A reference to an instance of the class is contained in the LayoutContext object passed to each LayoutManager. It contains information concerning the hyphenation points in a word and the how many of those have previously been processed by a Layout Manager to generate size information.

### Constructor Summary

Constructors
Constructor and Description
`HyphContext(int[] hyphPoints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNextHyphPoint()`
`boolean` `hasMoreHyphPoints()`
`void` `updateOffset(int iCharsProcessed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HyphContext

    public HyphContext(int[] hyphPoints)

Parameters:
  `hyphPoints` - number of hyphenation points

### Method Detail

#### getNextHyphPoint

    public int getNextHyphPoint()

Returns:
  next hyphenation point

#### hasMoreHyphPoints

    public boolean hasMoreHyphPoints()

Returns:
  true if more hyphenation points

#### updateOffset

    public void updateOffset(int iCharsProcessed)

Parameters:
  `iCharsProcessed` - amount to extend offset